package main

// DeployError contains important information about an error if something went wrong.
type DeployError struct {
	code int
	where string
	details string
	command_output string
}

// newDeployError creates a DeployError 
func newDeployError(code int, where string, details string, command_output string) DeployError {
	return DeployError{ code: code, where: where, details: details, command_output: command_output }
}

